Page MenuHomePhabricator

Use rate-limiter for cxserver
Closed, ResolvedPublic

Description

cxserver service should use rate-limiter feature available from service-runner. It should help to prevent cases like T210485.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 28 2018, 8:23 AM

Change 476233 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Introduce rate limiting

https://gerrit.wikimedia.org/r/476233

santhosh triaged this task as Normal priority.

Change 476233 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Introduce rate limiting

https://gerrit.wikimedia.org/r/476233

Patch comes with a default config. Do we need to set anything in production config when deploying it?

Petar.petkovic moved this task from Backlog to Other on the CX-cxserver board.Dec 14 2018, 11:44 AM

Change 480939 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Move the ratelimiter rate and key options to service configuration

https://gerrit.wikimedia.org/r/480939

Change 480945 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[mediawiki/services/cxserver/deploy@master] ratelimite: Update config for key and rate

https://gerrit.wikimedia.org/r/480945

Change 480939 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Move the ratelimiter rate and key options to service configuration

https://gerrit.wikimedia.org/r/480939

Change 480945 merged by jenkins-bot:
[mediawiki/services/cxserver/deploy@master] ratelimite: Update config for key and rate

https://gerrit.wikimedia.org/r/480945

Mentioned in SAL (#wikimedia-operations) [2018-12-20T12:43:33Z] <kartik@deploy1001> Started deploy [cxserver/deploy@16f65cb]: Update cxserver to 803baa4 (T210581, T211889, T144467, T209473)

Mentioned in SAL (#wikimedia-operations) [2018-12-20T12:48:15Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@16f65cb]: Update cxserver to 803baa4 (T210581, T211889, T144467, T209473) (duration: 04m 42s)

Pginer-WMF closed this task as Resolved.Dec 27 2018, 11:10 AM